MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_song.h File Reference

Go to the source code of this file.

## Functions
struct song * | playlist_check_translate_song (struct song *song, const char *base_uri)
| Verifies the song, returns NULL if it is unsafe.

## Function Documentation

struct song* playlist_check_translate_song | ( | struct song * | song,
|  | const char * | base_uri
| ) |  | `[read]`

Verifies the song, returns NULL if it is unsafe.

Translate the song to a new song object within the database, if it is a local file. The old song object is freed.